unit UPesan;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, XPMan, ToolWin, ComCtrls, ImgList;

type
  TFPesan = class(TForm)
    mPesan: TMemo;
    BtnAktif: TButton;
    CBFontName: TComboBox;
    CBBack: TColorBox;
    CBFont: TColorBox;
    CBSize: TComboBox;
    rbAtas: TRadioButton;
    rbBawah: TRadioButton;
    CBLoop: TComboBox;
    Label1: TLabel;
    Image1: TImage;
    XPManifest1: TXPManifest;
    Bevel1: TBevel;
    Label2: TLabel;
    CBSpeed: TComboBox;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ImageList1: TImageList;
    Label3: TLabel;
    Label4: TLabel;
    procedure BtnAktifClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CBFontNameChange(Sender: TObject);
    procedure CBSizeChange(Sender: TObject);
    procedure CBBackChange(Sender: TObject);
    procedure CBFontChange(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FPesan: TFPesan;

implementation

uses UMain;

{$R *.dfm}

procedure TFPesan.BtnAktifClick(Sender: TObject);
begin
  Pesan.Msg := mPesan.Text;
  Pesan.onBottom := rbBawah.Checked;
  Pesan.FormColor := CBBack.Selected;
  Pesan.FontName := CBFontName.Text;
  Pesan.FontSize :=  StrToIntDef(CBSize.Text,12) ;
  Pesan.FontStyle := mPesan.Font.Style;
  Pesan.FontColor := CBFont.Selected;
  Pesan.Loop := StrToIntDef(CBLoop.Text,2);
  Pesan.Speed := StrToIntDef(CBSpeed.Text,5);

  FMain.AktifkanPesan(True);
end;

function EnumFontsProc(var EnumLogFont: TEnumLogFont;
  var TextMetric: TNewTextMetric; FontType: Integer; Data: LPARAM): Integer;stdcall;
begin
  FPesan.CBFontName.Items.Add(String(EnumLogFont.elfLogFont.lfFaceName));
  Result := 1;
end;

procedure TFPesan.CBBackChange(Sender: TObject);
begin
  mPesan.Color := CBBack.Selected;
end;

procedure TFPesan.CBFontChange(Sender: TObject);
begin
  mPesan.Font.Color := CBFont.Selected;
end;

procedure TFPesan.CBFontNameChange(Sender: TObject);
begin
  mPesan.Font.Name := CBFontName.Text;
end;

procedure TFPesan.CBSizeChange(Sender: TObject);
begin
  mPesan.Font.Size := StrToIntDef(CBSize.Text,12);
end;

procedure TFPesan.FormCreate(Sender: TObject);
begin
  EnumFontFamilies(CBFontName.canvas.Handle, NIL, @EnumFontsProc,0);
  CBFontName.Sorted := True;
  CBFontName.ItemIndex := CBFontName.Items.IndexOf('Arial');
end;

procedure TFPesan.ToolButton1Click(Sender: TObject);
begin
  if (Sender as TToolButton).Down then
  begin
    case (Sender as TToolButton).Tag of
      1 :  mPesan.Font.Style := mPesan.Font.Style + [fsBold];
      2 :  mPesan.Font.Style := mPesan.Font.Style + [fsItalic];
      3 :  mPesan.Font.Style := mPesan.Font.Style + [fsUnderline];
    end
  end
  else
  begin
    case (Sender as TToolButton).Tag of
      1 :  mPesan.Font.Style := mPesan.Font.Style - [fsBold];
      2 :  mPesan.Font.Style := mPesan.Font.Style - [fsItalic];
      3 :  mPesan.Font.Style := mPesan.Font.Style - [fsUnderline];
    end;
  end;
end;

end.
